Subject: [bug#51538] TOC

From: jgart <[email-masked]>
Date: Mon, 1 Nov 2021 11:10:12 -0400

Hi Dissent,

Great to see that you sent the patch that we worked on from the guix packaging meetup.

To add more stuff to your commit I recommend the following workflow:

1. Make additional changes to the cookbook file.

2. guix shell texi2html -- texi2html doc/guix-cookbook.texi

3. Open and check the generated html file with your web browser.

4. git add doc/guix-cookbook.texi

5. git commit --amend --no-edit

6. git format-patch -1

7. email patch again to [email-masked]

With the above workflow I recommend adding an entry in the TOC for the FAQ section.

Note that `git format-patch -1` only takes the last commit so if you add more commits you'll need to adjust that command.

`git commit --amend --no-edit` does not open your editor to modify your commit message. If you'd like to then remove `--no-edit`.

Another guix contributor might prefer that section to be called something else or not so let's wait to hear from others.

I don't have commit access so someone else will have to review your changes also and merge them.

all best,

jgart